package ncc.vo.bd.rateset;

import nc.vo.pub.SuperVO;
import nc.vo.pub.lang.UFDateTime;
/**
 * @Description: 汇率日志
 * 
 * @author 周蓝萍 【碧桂园服务NCC】
 * @date 2020-12-03
 * @version with NCC
 */
public class RatesetLogVO extends SuperVO{

	private static final long serialVersionUID = 1L;
	
	private String pk_rateset_log;
	private String ratedate;//汇率日期
	private String pk_currtype;//源币种编码
	private String currtypeName;//源币种名称
	private String oppcurrtype;//目的币种编码
	private String oppcurrtypeName;//目的币种名称
	private String rate;//汇率
	private String rateType;//汇率类型
	private String dataCode;//汇率流水码
	private String issuccess;//处理状态
	private UFDateTime creationtime;//创建时间
	private String creator;//创建人
	private Integer dr = Integer.valueOf(0);
	private String memo;//备注
	private String result_data_sn;//返回数据
	private String send_data_sn;//接收的data
	private String send_data_sn1;//接收的data
	private String send_data_sn2;//接收的data
	private String msg;//处理结果
	
	private String vdef1;
	private String vdef2;
	private String vdef3;
	private String vdef4;
	private UFDateTime ts;
	
	
	public String getRate() {
		return rate;
	}

	public void setRate(String rate) {
		this.rate = rate;
	}

	public String getRateType() {
		return rateType;
	}

	public void setRateType(String rateType) {
		this.rateType = rateType;
	}

	public String getDataCode() {
		return dataCode;
	}

	public void setDataCode(String dataCode) {
		this.dataCode = dataCode;
	}

	public String getPk_rateset_log() {
		return pk_rateset_log;
	}

	public void setPk_rateset_log(String pk_rateset_log) {
		this.pk_rateset_log = pk_rateset_log;
	}

	public String getRatedate() {
		return ratedate;
	}

	public void setRatedate(String ratedate) {
		this.ratedate = ratedate;
	}

	public String getPk_currtype() {
		return pk_currtype;
	}

	public void setPk_currtype(String pk_currtype) {
		this.pk_currtype = pk_currtype;
	}

	public String getCurrtypeName() {
		return currtypeName;
	}

	public void setCurrtypeName(String currtypeName) {
		this.currtypeName = currtypeName;
	}

	public String getOppcurrtype() {
		return oppcurrtype;
	}

	public void setOppcurrtype(String oppcurrtype) {
		this.oppcurrtype = oppcurrtype;
	}

	public String getOppcurrtypeName() {
		return oppcurrtypeName;
	}

	public void setOppcurrtypeName(String oppcurrtypeName) {
		this.oppcurrtypeName = oppcurrtypeName;
	}

	public String getSend_data_sn1() {
		return send_data_sn1;
	}

	public void setSend_data_sn1(String send_data_sn1) {
		this.send_data_sn1 = send_data_sn1;
	}

	public String getSend_data_sn2() {
		return send_data_sn2;
	}

	public void setSend_data_sn2(String send_data_sn2) {
		this.send_data_sn2 = send_data_sn2;
	}

	public String getIssuccess() {
		return issuccess;
	}

	public void setIssuccess(String issuccess) {
		this.issuccess = issuccess;
	}

	public UFDateTime getCreationtime() {
		return creationtime;
	}

	public void setCreationtime(UFDateTime creationtime) {
		this.creationtime = creationtime;
	}

	public String getCreator() {
		return creator;
	}

	public void setCreator(String creator) {
		this.creator = creator;
	}

	public Integer getDr() {
		return dr;
	}

	public void setDr(Integer dr) {
		this.dr = dr;
	}

	public String getMemo() {
		return memo;
	}

	public void setMemo(String memo) {
		this.memo = memo;
	}


	public String getResult_data_sn() {
		return result_data_sn;
	}

	public void setResult_data_sn(String result_data_sn) {
		this.result_data_sn = result_data_sn;
	}

	public String getSend_data_sn() {
		return send_data_sn;
	}

	public void setSend_data_sn(String send_data_sn) {
		this.send_data_sn = send_data_sn;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	public String getVdef1() {
		return vdef1;
	}

	public void setVdef1(String vdef1) {
		this.vdef1 = vdef1;
	}

	public String getVdef2() {
		return vdef2;
	}

	public void setVdef2(String vdef2) {
		this.vdef2 = vdef2;
	}

	public String getVdef3() {
		return vdef3;
	}

	public void setVdef3(String vdef3) {
		this.vdef3 = vdef3;
	}

	public String getVdef4() {
		return vdef4;
	}

	public void setVdef4(String vdef4) {
		this.vdef4 = vdef4;
	}

	public UFDateTime getTs() {
		return ts;
	}

	public void setTs(UFDateTime ts) {
		this.ts = ts;
	}

	public static long getSerialversionuid() {
		return serialVersionUID;
	}

	public String getPKFieldName(){
		return "pk_rateset_log";
	}
	
	public String getTableName(){
		return "bd_rateset_log";
	}
	
}
